SDML(1)

NAME
sdml draw - Draw diagrams from a module.

SYNOPSIS
sdml draw [OPTIONS] --diagram <DIAGRAM> [MODULE]

DESCRIPTION
Draw diagrams from a module.

This command generates diagrams of a module with different perspectives.

- Concepts ::

- Entity-Relationship ::

- UML Class ::

The diagrams can be generated in jpeg, png, or svg image formats, or in their source form for further processing or inclusion in other documents.

  Arguments:

    [MODULE]

    SDML module, loaded using the standard resolver

OPTIONS

-d, --diagram <DIAGRAM>

    Diagram kind to draw

    Possible values: - concepts: Concept Overview - entity-relationship: Entity Relationship - uml-class: UML Class

-c, --content-filter <CONTENT_FILTER>

    File name for a content-filter specification (JSON)

-f, --output-format <OUTPUT_FORMAT>

    Format for diagram result

    [possible values: source, jpeg, png, svg]

-o, --output <OUTPUT>

    File name to write to, or '-' to write to stdout

    [default: -]

-i, --input <INPUT>

    Input SDML file name to read from, or '-' to read from stdin

    [default: -]

-h, --help

    Print help (see a summary with '-h')

-V, --version

    Print version